Thanks a lot.  It's working great so far.

On Mon, Sep 21, 2009 at 12:15 PM, Ed Cashin <ecashin@coraid.com> wrote:
On Mon, Sep 21, 2009 at 10:11:56AM -0500, Brian Koebbe wrote:
> It looks like aoe-72 isn't quite building against 2.6.31...
...
> Any chance a patch for this is around the corner?

Yes, I'm integrating them into the compatibility system for
73.  You can try them out now.  I'll try attaching them here.
To use them, you do...

make KDIR=/usr/src/kernels/linux-2.6.31
patch -p0 < /tmp/aoe6-72-blk_peek_req.diff
patch -p1 < conf/23-patches/old-new.diff
patch -p0 < /tmp/aoe6-72-blk_run_queue.diff
patch -p1 < /tmp/72-no-autoload.diff
patch -p1 < /tmp/72-73pre1.diff
make KDIR=/usr/src/kernels/linux-2.6.31

Notice that one patch is part of the aoe sources already.

--
 Ed Cashin <ecashin@coraid.com>
 Find experimental aoe Linux driver patches at
 http://coraid.typepad.com/aoe_linux_proving_grounds/